<?php

declare(strict_types=1);

namespace Pinpoint\TaxSwitch\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;
use Magento\Tax\Model\Config;

/**
 * Tax display source model
 */
class TaxDisplay implements OptionSourceInterface
{
    /**
     * @var string
     */
    public const DISPLAY_TYPE_EXCLUDING_TAX = Config::DISPLAY_TYPE_EXCLUDING_TAX;

    /**
     * @var string
     */
    public const DISPLAY_TYPE_INCLUDING_TAX = Config::DISPLAY_TYPE_INCLUDING_TAX;

    /**
     * @inheritDoc
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::DISPLAY_TYPE_EXCLUDING_TAX,
                'label' => __('Excl Tax')
            ],
            [
                'value' => self::DISPLAY_TYPE_INCLUDING_TAX,
                'label' => __('Incl Tax ')
            ]
        ];
    }
}
